Fetch market prices
curl --request GET \
--url https://sandbox.api.btdx.io/market-prices \
--header 'authorization: <authorization>'import requests
url = "https://sandbox.api.btdx.io/market-prices"
headers = {"authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {authorization: '<authorization>'}};
fetch('https://sandbox.api.btdx.io/market-prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_meta": {
"_primary_document": "apiKeys",
"_count": 123,
"_page": {
"_pageNumber": 123,
"_pageSize": 123,
"_totalElements": 123,
"_totalPages": 123
}
},
"prices": [
{
"marketId": "<string>",
"liquidity": 123,
"traded": 123,
"prices": [
{
"side": "For",
"outcomeId": "<string>",
"price": 123,
"amount": 123,
"matched": 123
}
]
}
]
}{
"_meta": {
"_primary_document": "apiKeys",
"_count": 123,
"_page": {
"_pageNumber": 123,
"_pageSize": 123,
"_totalElements": 123,
"_totalPages": 123
}
},
"prices": [
{
"marketId": "<string>",
"liquidity": 123,
"traded": 123,
"prices": [
{
"side": "For",
"outcomeId": "<string>",
"price": 123,
"amount": 123,
"matched": 123
}
]
}
]
}{
"_meta": {
"_primary_document": "apiKeys",
"_count": 123,
"_page": {
"_pageNumber": 123,
"_pageSize": 123,
"_totalElements": 123,
"_totalPages": 123
}
},
"prices": [
{
"marketId": "<string>",
"liquidity": 123,
"traded": 123,
"prices": [
{
"side": "For",
"outcomeId": "<string>",
"price": 123,
"amount": 123,
"matched": 123
}
]
}
]
}Market Prices
Fetch market prices
GET
/
market-prices
Fetch market prices
Headers
Header with the accessToken for the current session
Query Parameters
market ids
also include any prices that have been previously matched against but don't currently have any available liquidity
include only direct prices, excluding any derived prices as a result of cross matching being enabled